SAXParser (Xerces2 Implementation)
Date: 2016-02-19

org.apache.xerces.parsers

## Class SAXParser

- java.lang.Object
- - org.apache.xerces.parsers.XMLParser
  - - org.apache.xerces.parsers.AbstractXMLDocumentParser
    - - org.apache.xerces.parsers.AbstractSAXParser
      - - org.apache.xerces.parsers.SAXParser

- All Implemented Interfaces:
    org.apache.xerces.xni.XMLDocumentHandler, org.apache.xerces.xni.XMLDTDContentModelHandler, org.apache.xerces.xni.XMLDTDHandler, org.apache.xerces.xs.PSVIProvider, org.xml.sax.Parser, org.xml.sax.XMLReader
  Direct Known Subclasses:
    SAXParserImpl.JAXPSAXParser

      public class SAXParser
      extends AbstractSAXParser

  This is the main Xerces SAX parser class. It uses the abstract SAX parser with a document scanner, a dtd scanner, and a validator, as well as a grammar pool.
  Version:
    $Id: SAXParser.java 447239 2006-09-18 05:08:26Z mrglavas $
  Author:
    Arnaud Le Hors, IBM, Andy Clark, IBM

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xerces.parsers.AbstractSAXParser

      `AbstractSAXParser.AttributesProxy, AbstractSAXParser.LocatorProxy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `NOTIFY_BUILTIN_REFS` Feature identifier: notify built-in refereces.
    `protected static java.lang.String` | `SYMBOL_TABLE` Property identifier: symbol table.
    `protected static java.lang.String` | `XMLGRAMMAR_POOL` Property identifier: XML grammar pool.

    - ### Fields inherited from class org.apache.xerces.parsers.AbstractSAXParser

      `ALLOW_UE_AND_NOTATION_EVENTS, DECLARATION_HANDLER, DOM_NODE, fContentHandler, fDeclaredAttrs, fDeclHandler, fDocumentHandler, fDTDHandler, fLexicalHandler, fLexicalHandlerParameterEntities, fNamespaceContext, fNamespacePrefixes, fNamespaces, fParseInProgress, fQName, fResolveDTDURIs, fStandalone, fUseEntityResolver2, fVersion, fXMLNSURIs, LEXICAL_HANDLER, NAMESPACES, STRING_INTERNING`

    - ### Fields inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

      `fDocumentSource, fDTDContentModelSource, fDTDSource, fInDTD`

    - ### Fields inherited from class org.apache.xerces.parsers.XMLParser

      `ENTITY_RESOLVER, ERROR_HANDLER, fConfiguration`

    - ### Fields inherited from interface org.apache.xerces.xni.XMLDTDHandler

      `CONDITIONAL_IGNORE, CONDITIONAL_INCLUDE`

    - ### Fields inherited from interface org.apache.xerces.xni.XMLDTDContentModelHandler

      `OCCURS_ONE_OR_MORE, OCCURS_ZERO_OR_MORE, OCCURS_ZERO_OR_ONE, SEPARATOR_CHOICE, SEPARATOR_SEQUENCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAXParser()` Constructs a SAX parser using the dtd/xml schema parser configuration.
    `SAXParser(SymbolTable symbolTable)` Constructs a SAX parser using the specified symbol table.
    `SAXParser(SymbolTable symbolTable, org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)` Constructs a SAX parser using the specified symbol table and grammar pool.
    `SAXParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)` Constructs a SAX parser using the specified parser configuration.

  - ### Method Summary

    - ### Methods inherited from class org.apache.xerces.parsers.AbstractSAXParser

      `attributeDecl, characters, comment, doctypeDecl, elementDecl, endCDATA, endDocument, endDTD, endElement, endExternalSubset, endGeneralEntity, endNamespaceMapping, endParameterEntity, externalEntityDecl, getAttributePSVI, getAttributePSVIByName, getContentHandler, getDeclHandler, getDTDHandler, getElementPSVI, getEntityResolver, getErrorHandler, getFeature, getLexicalHandler, getProperty, ignorableWhitespace, internalEntityDecl, notationDecl, parse, parse, processingInstruction, reset, setContentHandler, setDeclHandler, setDocumentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setLocale, setProperty, startCDATA, startDocument, startElement, startExternalSubset, startGeneralEntity, startNamespaceMapping, startParameterEntity, unparsedEntityDecl, xmlDecl`

    - ### Methods inherited from class org.apache.xerces.parsers.AbstractXMLDocumentParser

      `any, element, empty, emptyElement, endAttlist, endConditional, endContentModel, endGroup, getDocumentSource, getDTDContentModelSource, getDTDSource, ignoredCharacters, occurrence, pcdata, separator, setDocumentSource, setDTDContentModelSource, setDTDSource, startAttlist, startConditional, startContentModel, startDTD, startGroup, textDecl`

    - ### Methods inherited from class org.apache.xerces.parsers.XMLParser

      `parse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NOTIFY_BUILTIN_REFS

          protected static final java.lang.String NOTIFY_BUILTIN_REFS

      Feature identifier: notify built-in refereces.
      See Also:
        Constant Field Values

    - #### SYMBOL_TABLE

          protected static final java.lang.String SYMBOL_TABLE

      Property identifier: symbol table.
      See Also:
        Constant Field Values

    - #### XMLGRAMMAR_POOL

          protected static final java.lang.String XMLGRAMMAR_POOL

      Property identifier: XML grammar pool.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SAXParser

          public SAXParser(org.apache.xerces.xni.parser.XMLParserConfiguration config)

      Constructs a SAX parser using the specified parser configuration.

    - #### SAXParser

          public SAXParser()

      Constructs a SAX parser using the dtd/xml schema parser configuration.

    - #### SAXParser

          public SAXParser(SymbolTable symbolTable)

      Constructs a SAX parser using the specified symbol table.

    - #### SAXParser

          public SAXParser(SymbolTable symbolTable,
                   org.apache.xerces.xni.grammars.XMLGrammarPool grammarPool)

      Constructs a SAX parser using the specified symbol table and grammar pool.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.